@Echo off
:: Aktuelles Datum in Tag, Monat und Jahr zerlegen und in den Variablen %jj%, %mm% und %tt% speichern!
set jj=%date:~6,10%
set mm=%date:~3,2%
set tt=%date:~0,2%

:: Tag, Monat und Jahr zum Tagesdatum im Iso Format zusammensetzen und in der Variablen %isodate% speichern!
set isodate=%jj%-%mm%-%tt%

:: Aktuelle Uhrzeit in Stunde und Minute zerlegen und in den Variablen %st% und %min% speichern!
set st=%time:~0,2%
set min=%time:~3,2%

@Echo Storereparatur.cmd
@Echo Wir haben den: %date%, es ist: %st% Uhr %min%
@Echo Batchdatei die einen Systemdateicheck, sowie eine Pruefung und Reparatur des 
@Echo Komponentenstore, ausfuehrt, die dabei in der Datei C:\Windows\Logs\Cbs\Cbs.log 
@Echo festgehaltenen Meldungen werden extrahiert und in der 
@Echo Datei %userprofile%\Desktop\Storereparatur.log festgehalten.
@Echo Autor: Alex Reiland, SMod von www.windows-8-forum.net
Pause

:: Variablendeklaration %rep% fr die temporaere Arbeitdatei %temp%\rep.tmp, die die Eintraege aufnimmt - die beim aktuellen Sfc-Lauf angelegt wurden!
set rep=%temp%\rep.tmp

:: Variablendeklaration %log% fuer die Ausgabedatei Storereparatur.log auf dem Desktop, in der die heute erstellten Meldungen von Sfc gespeichert werden!
set log=%userprofile%\Desktop\Storereparatur.log

:: Ausfuehren von Sfc /scannow
Sfc /scannow

:: Extrahieren der heute in der Cbs.log eingetragenen Meldungen!
findstr /c:"%isodate%" %windir%\Logs\Cbs\Cbs.log >%rep%

:: Anlegen der Storereparatur.log und das Einfuegen von Statusmeldungen zum Beginn des Speicherns der SFc Meldungen!
@Echo Wir haben den: %date%, es ist: %st% Uhr %min% >%log%
echo. >>%log%
@Echo Die Datei Storereparatur.log wurde automatisch von Storereparatur.cmd angelegt und enthaelt die von den Reparaturen veranlassten Statusmeldungen.>>%log%
echo. >>%log%
@echo: *** Beginn: %st% Uhr %min% - Die Details des Sfc Laufs in der Storereparatur.log speichern *** >>%log%

:: Einfuegen einer Leerzeile, um die Storereparatur.log bersichtlich zu gestalten
echo. >>%log%

:: Durchsuchen der temporaeren Arbeitsdatei nach Statusmeldungen von Sfc und Speichern der gefundenen Meldungen in der Storereparatur.log!
findstr /c:"[SR]" %rep% >>%log%

:: Einfuegen einer weiteren Leezeile!
echo. >>%log%

:: Erstellen der Statusmeldung zum Ende des Suchlaufs und des Speicherns von Sfc Statusmeldungen in der Storereparatur.log!
@echo: *** Ende: %st% Uhr %min% - Die Details des Sfc Laufs in der Storereparatur.log speichern *** >>%log%

:: Loeschen der temporaeren Arbeitsdatei!
del %rep%

:: Einfuegen von drei Zeilen um die Bloecke voneinander zu trennen.
echo. >>%log%
echo. ----------------------------------------------------------------------------------- >>%log%
echo. >>%log%

:: Einfuegen einer Statusmeldung zum Start der Dism Scans und Reparaturen!
@echo: *** Beginn: %st% Uhr %min% - Dism Scans und Reparaturen ausfuehren und die Meldungen in der Storereparatur.log speichern *** >>%log%

:: Einfuegen einer Leerzeile!
echo. >>%log%

:: Start der Dism Scans und Reparaturen, Ausgabe ihrer Statusmeldungen in der Storereparatur.log
Dism /Online /Cleanup-Image /ScanHealth >>%log%
Dism /Online /Cleanup-Image /CheckHealth >>%log%
Dism /online /cleanup-image /restorehealth >>%log%

:: Einfuegen einer Leerzeile
echo. >>%log%

:: Statusmeldung ber das Ende des Dism Laufs einfuegen!
@echo: *** Ende: %st% Uhr %min% - Dism Scans und Reparaturen wurden ausgefuehrt und die Meldungen in der Storereparatur.log gespeichert *** >>%log%

:: Einfuegen von drei Zeilen um die Bloecke voneinander zu trennen.
echo. >>%log%
echo. ----------------------------------------------------------------------------------- >>%log%
echo. >>%log%

:: Einfuegen einer Statusmeldung zum Start von Wsreset!
@echo: *** Beginn: %st% Uhr %min% - Wsreset wird ausgefhrt um den Storecache zu bereinigen *** >>%log%

:: Einfuegen einer Leerzeile!
echo. >>%log%

:: Start von Wsreset um den Storecache zu loeschen und dies in der in der Storereparatur.log zu vermerken
Wsreset.exe >>%log%

:: Einfuegen einer Leerzeile
echo. >>%log%

:: Statusmeldung ber das Ende des Wsreset Laufs einfuegen!
@echo: *** Ende: %st% Uhr %min% - Wsreset wurde ausgefuehrt *** >>%log%
